.\"                                      Hey, EMACS: -*- nroff -*-
.TH FFMPEG2THEORA 1 "December 30, 2005"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
ffmpeg2theora \- command-line converter to create Ogg Theora and Ogg
Vorbis files.
.SH SYNOPSIS
.B ffmpeg2theora
.RI [ options ] " inputfile"
.SH DESCRIPTION
This manual page documents briefly the \fBffmpeg2theora\fP command.
.PP
\fBffmpeg2theora\fP is a program that converts any media file that ffmpeg can
decode to Ogg Theora for video and Ogg Vorbis for audio.
.SH OPTIONS
To read from standard input, specify `\-' as the input filename.

These programs follow the usual GNU command line syntax, with long
options starting with two dashes (`-').
A summary of options is included below.
.SS General output options:
.TP
.B \-o, \-\-output
Specify the output filename.  If no output filename is specified, output will
be written to \fIinputfile\fP.ogv.  To output to standard output, specify
/dev/stdout as the output file.
.TP
.B  \-\-no-skeleton
Disables Ogg Skeleton metadata output.
.TP
.B \-s, \-\-starttime
Start encoding at this time (in seconds).
.TP
.B \-e, \-\-endtime
End encoding at this time (in seconds).
.TP
.B \-p, \-\-v2v-preset
Encode file with v2v preset.  Right now, there is preview, pro and videobin.  Run
\*(lqffmpeg2theora \-p info\*(rq for more information.
.SS Video output options:
.TP
.B \-v, \-\-videoquality
[0 to 10] Set encoding quality for video (default: 5).
          use higher values for better quality
.TP
.B \-V, \-\-videobitrate
[1 to 16778] Set encoding bitrate for video (in kb/s).
.TP
.B \-\-optimize
Optimize output Theora video, using a full search for motion vectors
instead of a hierarchical one. This can reduce video bitrate about 5%,
but it is slower and therefore is disabled by default.
.TP
.B \-\-speedlevel
[0 2] encoding is faster with higher values the cost is quality and bandwidth
.TP
.B \-x, \-\-width
Scale to given width (in pixels).
.TP
.B \-y, \-\-height
Scale to given height (in pixels).
.TP
.B \-\-aspect
Define frame aspect ratio (e.g. 4:3, 16:9).
.TP
.B \-F, \-\-framerate       
output framerate e.g 25:2 or 16
.TP
.B \-\-croptop, \-\-cropbottom, \-\-cropleft, \-\-cropright
Crop input by given pixels before resizing.
.TP
.B \-S, \-\-sharpness
[0 to 2] Sharpness of images (default: 2).  Note: lower values make the video
sharper.
.TP
.B \-K, \-\-keyint
[8 to 65536] Set keyframe interval (default: 64).
.SS Video transfer options:
.TP
.B \-\-pp
Video Postprocessing, denoise, deblock, deinterlacer
use \-\-pp help for a list of available filters.
.TP
.B \-C, \-\-contrast
[0.1 to 10.0] contrast correction (default: 1.0). Note: lower values make the video darker.
.TP
.B \-B, \-\-brightness       
[-1.0 to 1.0] brightness correction (default: 0.0). Note: lower values make the video darker.
.TP
.B \-G, \-\-gamma            
[0.1 to 10.0] gamma correction (default: 1.0). Note: lower values make the video darker.
.TP
.B \-P, \-\-saturation            
[0.1 to 10.0] saturation correction (default: 1.0). Note: lower values make the video grey.
.SS Audio output options:
.TP
.B \-a, \-\-audioquality
[-2 to 10] Set encoding quality for audio (default: 1).
           use higher values for better quality
.TP
.B \-A, \-\-audiobitrate
[32 to 500] Set encoding bitrate for audio (in kb/s).
.TP
.B \-c, \-\-channels
Set number of output channels.
.TP
.B \-H, \-\-samplerate
Set output samplerate (in Hz).
.TP
.B \-\-nosound
Disable the sound from input.
.SS Input options:
.TP
.B \-\-deinterlace
Force deinterlace.  Otherwise only material marked as interlaced will be
deinterlaced.
.TP
.B \-\-vhook
you can use ffmpeg's vhook system, example:
 ffmpeg2theora \-\-vhook '/path/watermark.so \-f wm.gif' input.dv
.TP
.B \-f, \-\-format
Specify input format.
.TP
.B \-\-inputfps
Override input fps.
.TP
.B \-\-audiostream id
By default the last audio stream is selected, use this to select
another audio stream.
.TP
.B \-\-sync
Use A/V sync from input container. Since this does not work with
all input format you have to manualy enable it if you have
issues with A/V sync.
.SS Subtitles options:
.TP
.B \-\-subtitles
Encode subtitles from the given file to a multiplexed Kate stream.
The input file should be in SubRip (.srt) format, encoded in utf-8,
unless the --subtitles-encoding option is also given.
.TP
.B \-\-subtitles-encoding encoding
Assumes the corresponding subtitles file is encoded in the given
encoding (utf-8 and iso-8859-1 (aka latin1) are supported).
.TP
.B \-\-subtitles-language language
Sets the language of the corresponding subtitles stream. This will
be set in the corresponding Kate stream so a video player may make
this available to the user for language selection.
.TP
.B \-\-subtitles-category category
Sets the category of the corresponding subtitles stream. This will
be set in the corresponding Kate stream so a video player may make
this available to the user for selection. The default category is
"subtitles". Suggested other categories may include "transcript",
"commentary", "lyrics", etc.
.TP
.B \-\-subtitles-ignore-non-utf8
When reading an utf-8 subtitles text file, any invalid utf-8 sequence
will be ignored. This may be useful if there are stray sequences in
an otherwise utf-8 file.
.SS Metadata options:
.TP
.B \-\-artist
Name of artist (director).
.TP
.B \-\-title
Title.
.TP
.B \-\-date
Date.
.TP
.B \-\-location
Location.
.TP
.B \-\-organization
Name of organization (studio).
.TP
.B \-\-copyright
Copyright.
.TP
.B \-\-license
License.
.TP
.B \-\-contact
Contact link.
.SS Other options:
.TP
.B \-\-nice n
Set niceness to n.
.TP
.B \-h, \-\-help
Output a help message.
.SH EXAMPLES
Encode Videos:
  ffmpeg2theora videoclip.avi (will write output to videoclip.ogv)
  
  cat something.dv | ffmpeg2theora -f dv -o output.ogv \-

Encode a series of images:
  ffmpeg2theora frame%06d.png -o output.ogv

Live streaming from V4L Device:
  ffmpeg2theora /dev/video0 \-f video4linux \-\-inputfps 15 \-x 160 \-y 128 \-o \- \\
    | oggfwd iccast2server 8000 password /theora.ogv

Live encoding from a DV camcorder (needs a fast machine):
  dvgrab - | ffmpeg2theora -f dv -x 352 -y 288 -o output.ogv -\n"

Live encoding and streaming to icecast server:
  dvgrab \-\-format raw \- \\
    | ffmpeg2theora \-f dv \-x 160 \-y 128 \-o /dev/stdout \- \\
    | oggfwd iccast2server 8000 password /theora.ogv


.SH AUTHOR
ffmpeg2theora was written by jan gerber <j@v2v.cc>.
.PP
This manual page was written by Hubert Chan <hubert@uhoreg.ca>,
for the Debian project (but may be used by others).
